x = linspace(-pi,pi,200);
y = sin(x);
plot(x,y,'LineWidth',2,'Color','k'); % k  ist schwarz

% Die folgenden plots in  bestehendes Koordinatensystem 
hold on  
            
plot(x,x,'Color','k');      % 1. Ordnung
y = x-(1/factorial(3))*x.^3;
plot(x,y,'--','Color','k'); % 3. Ordnung
y = x-(1/6)*x.^3+(1/factorial(5))*x.^5;
plot(x,y,'-.','Color','k'); % 5. Ordnung

% Beschriftung der Abbildung
title('Taylor-Entwicklung der Sinusfunktion');
xlabel('x');
ylabel('y');
text(0,0,'\leftarrow Approximation an')
text(0.5,-0.4,'der Stelle 0')
legend('y = sin(x)','Taylor-Polynom 1. Ordnung',... 
  'Taylor-Polynom 3. Ordnung', 'Taylor-Polynom 5. Ordnung');

hold off