n = 15;            % Anzahl Unbekannte
A  = hilb(n);     % Erzeugung einer n x n Hilbertmatrix
disp(cond(A));    % Kondition der Matrix A (bez. der 2-Norm)
b  = rand(n,1);   % Erzeugung eines zufaelligen Spaltenvektors
[L,U,P] = lu(A);  % L*U = P*A
y = L\P*b;        % Vorwaertsubstitution
x = U\y;          % Rueckwaertssubstitution
b - A*x



