%--------------------------------------------------------------------------   
%   Mathematische Modellierung mit MATLAB, F. Hausser und Y. Luchko 
%   Basketball Freiwurf, Listing 2.9
%--------------------------------------------------------------------------

clear all;
close all;

[theta0,v0Vorne,v0Zentrum,v0Hinten] = zulaessigesGebiet(35,60,2.13);
plot(v0Vorne,theta0,v0Zentrum,theta0,v0Hinten,theta0);
xlabel('Abwurfgeschwindigkeit v^0 [m]');
ylabel('Abwurfwinkel \theta^0 [\circ]');
legend('Vorne','Zentrum','Hinten');