function [y, dy] = logisticFunction(x, ti, yi)
    y(:,1) = yi - x(1)./(1 + x(2)*exp(-x(3)*ti));
    dy(:,1) = -1./(1 + x(2)*exp(-x(3)*ti));
    dy(:,2) = x(1)./(1 + x(2)*exp(-x(3)*ti)).^2 .* exp(-x(3)*ti);
    dy(:,3) = -x(1)./(1 + x(2)*exp(-x(3)*ti)).^2 .* ti.*x(2).*exp(-x(3)*ti);
end

