function xdt = fmmLinear(t,x)

global S;  % Steifigkeitsmatrix S
global m;  % Massenvektor m
global p;  % Referenz-Positionen der Knoten
           % Ruhelage, falls keine Kraft wirkt

xdt = [x(9:16);
       (-S*(x(1:8) - p(1:8)) + aeussereKraft(t))./m];

end

% Aeussere Kraft, periodisch
function fa = aeussereKraft(t)
global w;  % Winkelfrequenz der angreifenden Kraft
global sv  % Richtung der angreifenden Kraft
fa = sv*sin(w*t);


end
   
 
 
 
 
